Skip to main content

Add an Insurer Client

POST 

/v1/clients

Add an Insurer Client

Request

Body

required
    name stringrequired

    The name of the Client.

    phone string

    The phone number of the Client.

    email stringrequired

    The email address of the Client.

    address string

    The address of the Client.

    city string

    The city of the Client.

    selected_lga_id integer

    The ID of the Local Government Area of the Client.

    selected_state_id integer

    The ID of the State of the Client.

    selected_country_id integer

    The ID of the Country of the Client.

    status stringrequired

    Possible values: [active, inactive, terminated]

    The status of the Client. Possible values are: active, inactive, terminated.

    client_code string

    Client code for the insurer client record.

    id_from_hmo string

    Optional insurer-provided reference ID for the client.

    hmo_plan_ids integer[]required

    This is an array HMO/Insurer Plan IDs associated with the Client.

    registration_date string

    The date of registration of the Client, in the format YYYY-MM-DD.

    other_business_type string

    The relationship between the enrollee and the principal enrollee.

    other_business_sector string

    A base64 encoded image string.

    generate_credentials boolean

    If true, a new user account would also be created for the with a temporary password. Credentials would be forwarded in a mail notification.

Responses

Success Message

Loading...